GrailsApplicationAttributes (Grails 5.1.2)

Package: org.grails.web.util

## [Java] Interface GrailsApplicationAttributes

- grails.core.ApplicationAttributes

- All Superinterfaces:
    ApplicationAttributes

      public interface GrailsApplicationAttributes
      extends ApplicationAttributes

  Defines the names of and methods to retrieve Grails specific request and servlet attributes.

  Authors:
    Graeme Rocher

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.String` | `getApplicationUri(javax.servlet.ServletRequest request)` deprecated: Use instead
    `` | `public groovy.lang.GroovyObject` | `getController(javax.servlet.ServletRequest request)` Returns: The controller for the request
    `` | `public java.lang.String` | `getControllerActionUri(javax.servlet.ServletRequest request)` Parameters: request
    `` | `public java.lang.String` | `getControllerUri(javax.servlet.ServletRequest request)` Parameters: request
    `` | `public org.springframework.validation.Errors` | `getErrors(javax.servlet.ServletRequest request)` Parameters: request
    `` | `public FlashScope` | `getFlashScope(javax.servlet.ServletRequest request)` Retrieves the flash scope instance for the given requeste
    `` | `public GroovyPagesUriService` | `getGroovyPagesUriService()` Returns: The GroovyPageUriService instance
    `` | `public org.springframework.context.MessageSource` | `getMessageSource()` Returns: The MessageSource instance
    `` | `public java.lang.String` | `getNoSuffixViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)`
    `` | `public java.io.Writer` | `getOut(javax.servlet.http.HttpServletRequest request)` Holds the current response write for the request
    `` | `public org.grails.gsp.ResourceAwareTemplateEngine` | `getPagesTemplateEngine()` Returns: Retrieves the shared GSP template engine
    `` | `public java.lang.String` | `getPluginContextPath(javax.servlet.http.HttpServletRequest request)` Retrieves the plugin context path for the current request.
    `` | `public javax.servlet.ServletContext` | `getServletContext()` Retrieves the servlet context instance
    `` | `public java.lang.String` | `getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName)` Resolve the URI for a template
    `` | `public java.lang.String` | `getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName, boolean includeExtension)` Resolve the URI for a template
    `` | `public java.lang.String` | `getTemplateUri(java.lang.CharSequence templateName, javax.servlet.ServletRequest request)` Parameters: templateName
    `` | `public java.lang.String` | `getViewUri(java.lang.String viewName, javax.servlet.http.HttpServletRequest request)` Retrieves the uri of a named view
    `` | `public void` | `setOut(javax.servlet.http.HttpServletRequest currentRequest, java.io.Writer out2)` Sets the current write for the request

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ApplicationAttributes` | `getApplicationContext, getGrailsApplication`

- - ### Method Detail

    - #### @java.lang.Deprecated public java.lang.String getApplicationUri(javax.servlet.ServletRequest request)

      deprecated:
        Use instead
      Parameters:
        request
      Returns:
        The uri of the application relative to the server root

    - #### public groovy.lang.GroovyObject getController(javax.servlet.ServletRequest request)

      Returns:
        The controller for the request

    - #### public java.lang.String getControllerActionUri(javax.servlet.ServletRequest request)

      Parameters:
        request
      Returns:
        The uri of the action called within the controller

    - #### public java.lang.String getControllerUri(javax.servlet.ServletRequest request)

      Parameters:
        request
      Returns:
        The uri of the controller within the request

    - #### public org.springframework.validation.Errors getErrors(javax.servlet.ServletRequest request)

      Parameters:
        request
      Returns:
        The errors instance contained within the request

    - #### public FlashScope getFlashScope(javax.servlet.ServletRequest request)

      Retrieves the flash scope instance for the given requeste

      Parameters:
        request
      Returns:
        The FlashScope instance

    - #### public GroovyPagesUriService getGroovyPagesUriService()

      Returns:
        The GroovyPageUriService instance

    - #### public org.springframework.context.MessageSource getMessageSource()

      Returns:
        The MessageSource instance

    - #### public java.lang.String getNoSuffixViewURI(groovy.lang.GroovyObject controller, java.lang.String viewName)

    - #### public java.io.Writer getOut(javax.servlet.http.HttpServletRequest request)

      Holds the current response write for the request

      Returns:
        The held response writer

    - #### public org.grails.gsp.ResourceAwareTemplateEngine getPagesTemplateEngine()

      Returns:
        Retrieves the shared GSP template engine

    - #### public java.lang.String getPluginContextPath(javax.servlet.http.HttpServletRequest request)

      Retrieves the plugin context path for the current request. The plugin context path is the path used by plugins to reference resources such as javascript, CSS and so forth It is established by evaluating the current controller, if the current controller is plugin provided then it will attempt to evaluate the path based on the plugin the controller came from

      Returns:
        The plugin context path

    - #### public javax.servlet.ServletContext getServletContext()

      Retrieves the servlet context instance

      Returns:
        The servlet context instance

    - #### public java.lang.String getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName)

      Resolve the URI for a template

      Parameters:
        `controller` - The controller
        `templateName` - The name of the template
      Returns:
        The template name

    - #### public java.lang.String getTemplateURI(groovy.lang.GroovyObject controller, java.lang.String templateName, boolean includeExtension)

      Resolve the URI for a template

      Parameters:
        `controller` - The controller
        `templateName` - The name of the template
        `includeExtension` - Whether to include the GSP etension
      Returns:
        The template name

    - #### public java.lang.String getTemplateUri(java.lang.CharSequence templateName, javax.servlet.ServletRequest request)

      Parameters:
        templateName
        request
      Returns:
        The uri of a named template for the current controller

    - #### public java.lang.String getViewUri(java.lang.String viewName, javax.servlet.http.HttpServletRequest request)

      Retrieves the uri of a named view

      Parameters:
        `viewName` - The name of the view
        `request` - The request instance
      Returns:
        The name of the view

    - #### public void setOut(javax.servlet.http.HttpServletRequest currentRequest, java.io.Writer out2)

      Sets the current write for the request

      Parameters:
        `currentRequest` - The request
        `out2` - The writer